/*
//
//  NavigatorDetection.js
//  Cookie Stumbler Help
//
//  Created by David Schiefer on 10.09.14.
//
*/

/* loads and displays screenshots based on current OS */
function loadScreenshots(filenames)
{
	/* hook into window load event */
	window.onload = checkScreenshots;
	
	function checkScreenshots()
	{    
		for (index = 0; index < filenames.length; ++ index)
		{
		    /* page has loaded, we can now access the DOM */
		    var _path = "images/" + filenames[index];
		    
		    if (typeof document.getElementById("screenshot" + index) === null)
			    document.write("Error: ID " + "screenshot" + index + " could not be found!");

		    document.getElementById("screenshot" + index).src = _imagePathForOperatingSystem(_path);
	    }
	}
}

/* converts image paths to OS image paths which are relevant to the user */
function _imagePathForOperatingSystem(path)
{
	var _usesYosemite = /Mac OS X 10_10/.test(navigator.userAgent);
	var _filetype = path.split(".").pop();
	var _oExtension = "." + _filetype;
	
	if (_usesYosemite)
		return path.replace(_oExtension, "_Y." + _filetype);
	
	return path;
}

/* returns a localized, displayable name of the OS */
function localizedSystemName()
{
	if (/Mac OS X 10_10/.test(navigator.userAgent))
		return "OS X Yosemite";
	else if (/Mac OS X 10_9/.test(navigator.userAgent))
		return "OS X Mavericks"; 
	else if (/Mac OS X 10_8/.test(navigator.userAgent))
		return "OS X Mountain Lion"; 
	
	return undefined;
}